/**
 * Interface representing API response from CMCI's web interface, parsed from XML to a javascript object
 * using the xml2js package.
 */
import { ICMCIResponseResultSummary } from "./ICMCIResponseResultSummary";
export interface ICMCIApiResponse {
    /**
     * See the following link for more information:
     * https://www.ibm.com/support/knowledgecenter/SSGMCP_5.2.0/com.ibm.cics.ts.clientapi.doc/topics/clientapi_response_element.html
     */
    response: {
        /**
         * See the following link for more information:
         * https://www.ibm.com/support/knowledgecenter/SSGMCP_5.2.0/com.ibm.cics.ts.clientapi.doc/topics/clientapi_resultsummary_element.html
         */
        resultsummary: ICMCIResponseResultSummary;
        /**
         * See the following link for more information:
         * https://www.ibm.com/support/knowledgecenter/SSGMCP_5.2.0/com.ibm.cics.ts.clientapi.doc/topics/clientapi_records_element.html
         */
        records: any;
    };
}
