import { ImsSession } from "../../rest";
import { IIMSApiResponse, IQueryProgramParms, IQueryRegionParms, IQueryTransactionParms } from "../../doc";
/**
 * Query program in IMS through REST API
 * @param {ImsSession} session - the session to connect to IMS with
 * @param {IQueryProgramParms} parms - parameters for querying a program
 * @returns {Promise<IIMSApiResponse>} promise that resolves to the response (XML parsed into a javascript object)
 *                          when the request is complete
 * @throws {ImperativeError} ImsRestClient request fails
 */
export declare function queryProgram(session: ImsSession, parms?: IQueryProgramParms): Promise<IIMSApiResponse>;
/**
 * Query transaction in IMS through REST API
 * @param {ImsSession} session - the session to connect to IMS with
 * @param {IQueryTransactionParms} parms - parameters for querying a transaction
 * @returns {Promise<IIMSApiResponse>} promise that resolves to the response (XML parsed into a javascript object)
 *                          when the request is complete
 * @throws {ImperativeError} ImsRestClient request fails
 */
export declare function queryTransaction(session: ImsSession, parms?: IQueryTransactionParms): Promise<IIMSApiResponse>;
/**
 * Query region in IMS through REST API
 * @param {ImsSession} session - the session to connect to IMS with
 * @param {IQueryTransactionParms} parms - parameters for querying a region
 * @returns {Promise<IIMSApiResponse>} promise that resolves to the response (XML parsed into a javascript object)
 *                          when the request is complete
 * @throws {ImperativeError} ImsRestClient request fails
 */
export declare function queryRegion(session: ImsSession, parms?: IQueryRegionParms): Promise<IIMSApiResponse>;
