import { IImperativeError, IRestOptions, RestClient } from "@zowe/imperative";
/**
 * Wrapper for invoke IMS API through the RestClient to perform common error
 * handling and checking and resolve promises according to generic types
 * @export
 * @class ImsRestClient
 * @extends {RestClient}
 */
export declare class ImsRestClient extends RestClient {
    /**
     * If the API request is successful, this value should be in
     * api_response2 in  the resultsummary object in the response
     */
    static readonly IMS_SUCCESS_RESPONSE_1 = "1024";
    /**
     * If the API request is successful, this value should be in
     * api_response2 in  the resultsummary object in the response
     */
    static readonly IMS_SUCCESS_RESPONSE_2 = "0";
    /**
     * Internal logger
     */
    private static mLogger;
    /**
     * Use the Zowe logger instead of the imperative logger
     * @return {Logger}
     */
    private static get log();
    /**
     * Overridden request method implemented to append hostname, port, and plex headers to all IMS requests.
     */
    request(options: IRestOptions): Promise<string>;
    /**
     * Process an error encountered in the rest client
     * @param {IImperativeError} original - the original error automatically built by the abstract rest client
     * @returns {IImperativeError} - the processed error with details added
     */
    protected processError(original: IImperativeError): IImperativeError;
}
