"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.Export = void 0;
const Table_definition_1 = require("./table/Table.definition");
const index_1 = require("../../index");
exports.Export = {
    name: "export",
    type: "group",
    summary: "Export a table",
    description: "Export data from a Db2 table",
    children: [
        Table_definition_1.TableDefinition,
    ],
    passOn: [
        {
            property: "options",
            value: index_1.DB2Session.DB2_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = exports.Export;
//# sourceMappingURL=Export.definition.js.map